Author Topic: Error with com.archimatetool.zest plug-in  (Read 4683 times)

Don@Office

  • Newbie
  • *
  • Posts: 4
Error with com.archimatetool.zest plug-in
« on: November 05, 2014, 19:34:38 PM »
I'm getting the following issue with the com.archimatetool.zest plug-in:

Description   Resource   Path   Location   Type
Bundle 'org.eclipse.zest.core' cannot be resolved   MANIFEST.MF   /com.archimatetool.zest/META-INF   line 14   Plug-in Problem

I tried reinstalling just the one plugin but I'm getting the same error.  Would anyone know what would be the fix? 

Thank you for your help.

Phil Beauvoir

  • Archi Guy
  • Hero Member
  • *****
  • Posts: 1501
  • Archi Guy
    • Archi
Re: Error with com.archimatetool.zest plug-in
« Reply #1 on: November 05, 2014, 20:26:08 PM »
Hi,

can you provide some detail on the context of what you're trying to do? Are you trying to set up an Eclipse environment?

Perhaps you need to install the Eclipse Zest plugin. See http://www.archimatetool.com/dev/eclipse-setup :

Quote
5. From the list under "Modeling" select "EMF - Eclipse Modeling Framework SDK", "Graphical Editing Framework GEF SDK" and "Graphical Editing Framework Zest Visualization Toolkit SDK"
If you value and use Archi please consider making a donation! https://www.archimatetool.com/donate

Don@Office

  • Newbie
  • *
  • Posts: 4
Re: Error with com.archimatetool.zest plug-in
« Reply #2 on: November 06, 2014, 13:20:37 PM »
Hi,

Thank you for you help.  I checked the software that was installed and the zest plug-in was listed.  I uninstalled and reinstalled again.  This time I'm down to two errors:

The constructor ExportAsImageWizard(IFigure) is undefined   ExportAsImageAction.java   /com.archimatetool.zest/src/com/archimatetool/zest   line 36   Java Problem

and

The method refreshElementsFromBufferedNotifications() of type ZestView must override or implement a supertype method   ZestView.java   /com.archimatetool.zest/src/com/archimatetool/zest   line 442   Java Problem


The code returning the error:

    public void run() {
        WizardDialog dialog = new ExtendedWizardDialog(fGraphViewer.getControl().getShell(),
                new ExportAsImageWizard(fGraphViewer.getGraphControl().getContents()),
                "ExportZestViewAsImage") { //$NON-NLS-1$

I'm new to Java and Eclipse and your help is greatly appreciated.  Thank you again.

Phil Beauvoir

  • Archi Guy
  • Hero Member
  • *****
  • Posts: 1501
  • Archi Guy
    • Archi
Re: Error with com.archimatetool.zest plug-in
« Reply #3 on: November 06, 2014, 13:29:41 PM »
Sounds like you may not have an up-to-date version of the code from GitHub. Which commit did you check out?
If you value and use Archi please consider making a donation! https://www.archimatetool.com/donate

Don@Office

  • Newbie
  • *
  • Posts: 4
Re: Error with com.archimatetool.zest plug-in
« Reply #4 on: November 06, 2014, 15:10:51 PM »
Hi,

Initially I imported all the plug-ins (including zest) using EGit within Eclipse.  Then the last time I did the manual import grabbing the zest plug-in from release_3.0.0 (date: Sept 28, 2014).

Phil Beauvoir

  • Archi Guy
  • Hero Member
  • *****
  • Posts: 1501
  • Archi Guy
    • Archi
Re: Error with com.archimatetool.zest plug-in
« Reply #5 on: November 06, 2014, 15:25:36 PM »
In that case you have different versions of the code, and the Zest plugin is older than the rest of the code. You need to ensure all code comes from the same commit.
If you value and use Archi please consider making a donation! https://www.archimatetool.com/donate

Don@Office

  • Newbie
  • *
  • Posts: 4
Re: Error with com.archimatetool.zest plug-in
« Reply #6 on: November 07, 2014, 17:10:59 PM »
That was the problem the zest plugin was out of date.  There were two problems, I was missing the Eclipse plugin and then the zest plugin got out of date due to me manually downloading the wrong version. Since I now have all the eclipse plugins I was able to download the code again (using EGit) with no errors. Thank you for your help!